[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TTaskDlgTimerEvent

Specifies an event handler signalled when the timer callback is enabled in a task dialog.

## Declaration

Source position: dialogs.pp line 621

`type TTaskDlgTimerEvent = procedure(`
`Sender: TObject;`
`TickCount: Cardinal;`
`var Reset: Boolean`
`) of object;`

## Arguments

`Sender` |  | Task dialog for the event notification.
`TickCount` |  | Number of ticks (milliseconds) since the timer was started.
`Reset` |  | Set to True to reset the timer. Set to False to continue execution of the timer callback.

## Description

TTaskDlgTimerEvent is an object procedure type which defines an event handler signalled when the timer internal in a task dialog has elapsed. Applications can implement and assign a routine using the signature for the type to the OnTimer event handler in TTaskDialog.

The routine is signalled from the DoOnTimer method in TCustomTaskDialog and is called periodically from the widgetset class when the callback timer is enabled in the task dialog. Arguments passed to the routine indicate the dialog form for the event notification, the number of ticks (milliseconds) since the timer was started, and an updatable value to indicate that the time should be reset.

## Version info

Added in LCL version 4.0.

## See also

TCustomTaskDialog.OnTimer |  | Event handler signalled when the interval for the timer on the dialog has elapsed.